## cimg 1.5.6

=== examples/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling CImg-based code on Unix.
#                This file is a part of the CImg Library project.
#                ( http://cimg.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://tschumperle.users.greyc.fr/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#-------------------------------------------------------
# Define the list of files to be compiled
# (name of the source files without the .cpp extension)
#-------------------------------------------------------

# Files which do not necessarily require external libraries to run.
CIMG_FILES = CImg_demo \
	     captcha \
             curve_editor2d \
	     dtmri_view3d \
	     edge_explorer2d \
	     fade_images \
	     gaussian_fit1d \
             generate_loop_macros \
	     hough_transform2d \
	     image_registration2d \
	     image2ascii \
	     image_surface3d \
	     jawbreaker \
	     mcf_levelsets2d \
	     mcf_levelsets3d \
	     odykill \
	     pde_heatflow2d \
	     pde_TschumperleDeriche2d \
	     plotter1d \
	     radon_transform2d \
	     scene3d \
	     spherical_function3d \
	     tetris \
	     tron \
	     tutorial \
	     wavelet_atrous \
	     use_chlpca \
	     use_draw_gradient \
	     use_nlmeans \
	     use_skeleton \
	     use_RGBclass \

# Files which requires external libraries to run.
CIMG_EXTRA_FILES = use_jpeg_buffer

#---------------------------------
# Set correct variables and paths
#---------------------------------
CIMG_VERSION = 1.5.6
X11PATH      = /usr/X11R6
CC           = g++
EXEPFX       =
CCVER       = $(CC)
ifeq ($(CC),g++)
CCVER        = `$(CC) -v 2>&1 | tail -n 1`
endif
ifeq ($(CC),clang++)
CCVER        = `$(CC) -v 2>&1 | head -n 1`
endif
ifeq ($(CC),icc)
CCVER        = "icc \( `$(CC) -v 2>&1`\)"
CFLAGS       = -I..
LDFLAGS      =
else
CFLAGS       = -I.. -Wall -W
LDFLAGS      = -lm
endif

#--------------------------------------------------
# Set compilation flags allowing to customize CImg
#--------------------------------------------------

# Flags to enable strict code standards
ifeq ($(CC),icc)
CIMG_ANSI_CFLAGS = -ansi
else
CIMG_ANSI_CFLAGS = -ansi -pedantic
endif

# Flags to enable code debugging.
CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g

# Flags to enable color output messages.
# (requires a VT100 compatible terminal)
CIMG_VT100_CFLAGS = -Dcimg_use_vt100

# Flags to enable code optimization by the compiler.
ifeq ($(CC),icc)
CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
else
CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
endif

# Flags to enable OpenMP support.
ifeq ($(CC),icc)
CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -openmp -i-static
else
CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
endif

# Flags to enable OpenCV support.
CIMG_OPENCV_CFLAGS = -Dcimg_use_opencv -I/usr/include/opencv
CIMG_OPENCV_LDFLAGS = -lcv -lhighgui

# Flags used to disable display capablities of CImg
CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0

# Flags to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
# !!! For 64bits systems : replace -L$(X11PATH)/lib by -L$(X11PATH)/lib64 !!!
CIMG_X11_CFLAGS = -I$(X11PATH)/include
CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11

# Flags to enable fast image display, using the XSHM library (when using X11).
# !!! Seems to randomly crash when used on MacOSX and 64bits systems, so use it only when necessary !!!
CIMG_XSHM_CFLAGS = # -Dcimg_use_xshm
CIMG_XSHM_LDFLAGS = # -lXext

# Flags to enable GDI32 display (Windows native).
CIMG_GDI32_CFLAGS = -mwindows
CIMG_GDI32_LDFLAGS = -lgdi32

# Flags to enable screen mode switching, using the XRandr library (when using X11).
# ( http://www.x.org/wiki/Projects/XRandR )
# !!! Not supported by the X11 server on MacOSX, so do not use it on MacOSX !!!
CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
CIMG_XRANDR_LDFLAGS = -lXrandr

# Flags to enable native support for PNG image files, using the PNG library.
# ( http://www.libpng.org/ )
CIMG_PNG_CFLAGS = -Dcimg_use_png
CIMG_PNG_LDFLAGS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
# ( http://www.ijg.org/ )
CIMG_JPEG_CFLAGS = -Dcimg_use_jpeg
CIMG_JPEG_LDFLAGS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
# ( http://www.libtiff.org/ )
CIMG_TIFF_CFLAGS = -Dcimg_use_tiff
CIMG_TIFF_LDFLAGS = -ltiff

# Flags to enable native support for MINC2 image files, using the MINC2 library.
# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
CIMG_MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
CIMG_MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib

# Flags to enable native support for EXR image files, using the OpenEXR library.
# ( http://www.openexr.com/ )
CIMG_EXR_CFLAGS = -Dcimg_use_openexr -I/usr/include/OpenEXR
CIMG_EXR_LDFLAGS = -lIlmImf -lHalf

# Flags to enable native support for various video files, using the FFMPEG library.
# ( http://www.ffmpeg.org/ )
CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale -I/usr/include/ffmpeg
CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
# ( http://www.zlib.net/ )
CIMG_ZLIB_CFLAGS = -Dcimg_use_zlib
CIMG_ZLIB_LDFLAGS = -lz

# Flags to enable native support of most classical image file formats, using the Magick++ library.
# ( http://www.imagemagick.org/Magick++/ )
CIMG_MAGICK_CFLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags`
CIMG_MAGICK_LDFLAGS = `Magick++-config --ldflags` `Magick++-config --libs`

# Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
# ( http://www.fftw.org/ )
CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
ifeq ($(MSYSTEM),MINGW32)
CIMG_FFTW3_LDFLAGS = -lfftw3-3
else
CIMG_FFTW3_LDFLAGS = -lfftw3
endif

# Flags to enable the use of LAPACK routines for matrix computation
# ( http://www.netlib.org/lapack/ )
CIMG_LAPACK_CFLAGS = -Dcimg_use_lapack
CIMG_LAPACK_LDFLAGS = -lblas -lg2c -llapack

# Flags to enable the use of the Board library
# ( http://libboard.sourceforge.net/ )
CIMG_BOARD_CFLAGS = -Dcimg_use_board -I/usr/include/board
CIMG_BOARD_LDFLAGS = -lboard

# Flags to compile on Sun Solaris
CIMG_SOLARIS_LDFLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket

# Flags to compile GIMP plug-ins.
ifeq ($(MSYSTEM),MINGW32)
CIMG_GIMP_CFLAGS = -mwindows
endif

#-------------------------
# Define Makefile entries
#-------------------------
.cpp:
	@echo
	@echo "** Compiling '$* ($(CIMG_VERSION))' with '$(CCVER)'"
	@echo
	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(CONF_CFLAGS) $(LDFLAGS) $(CONF_LDFLAGS)
ifeq ($(STRIP_EXE),true)
ifeq ($(MSYSTEM),MINGW32)
	strip $(EXEPFX)$*.exe
else
	strip $(EXEPFX)$*
endif
endif
menu:
	@echo
	@echo "CImg Library $(CIMG_VERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > linux    : Linux/BSD target, X11 display, optimizations disabled."
	@echo "  > dlinux   : Linux/BSD target, X11 display, debug mode."
	@echo "  > olinux   : Linux/BSD target, X11 display, optimizations enabled."
	@echo "  > mlinux   : Linus/BSD target, no display, minimal features, optimizations enabled."
	@echo "  > Mlinux   : Linux/BSD target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > solaris  : Sun Solaris target, X11 display, optimizations disabled."
	@echo "  > dsolaris : Sun Solaris target, X11 display, debug mode."
	@echo "  > osolaris : Sun Solaris target, X11 display, optimizations enabled."
	@echo "  > msolaris : Sun Solaris target, no display, minimal features, optimizations enabled."
	@echo "  > Msolaris : Sun Solaris target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > macosx   : MacOSX target, X11 display, optimizations disabled."
	@echo "  > dmacosx  : MacOSX target, X11 display, debug mode."
	@echo "  > omacosx  : MacOSX target, X11 display, optimizations enabled."
	@echo "  > mmacosx  : MacOSX target, no display, minimal features, optimizations enabled."
	@echo "  > Mmacosx  : MacOSX target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."
	@echo "  > Mwindows : Windows target, GDI32 display, maximal features, optimizations enabled."
	@echo
	@echo "  > clean    : Clean generated files."
	@echo
	@echo "Choose your option :"
	@read CHOICE; echo; $(MAKE) $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;

all: $(CIMG_FILES)

clean:
	rm -rf *.exe *.o *~ \#* $(CIMG_FILES) $(CIMG_EXTRA_FILES)
ifneq ($(EXEPFX),)
	rm -f $(EXEPFX)*
endif

# Linux/BSD/Mac OSX targets, with X11 display.
linux:
	@$(MAKE) \
"CONF_CFLAGS = \
$(CIMG_ANSI_CFLAGS) \
$(CIMG_VT100_CFLAGS) \
$(CIMG_X11_CFLAGS) \
$(CIMG_XSHM_CFLAGS)" \
"CONF_LDFLAGS = \
$(CIMG_X11_LDFLAGS) \
$(CIMG_XSHM_LDFLAGS)" \
all

dlinux:
	@$(MAKE) \
"CONF_CFLAGS = \
$(CIMG_ANSI_CFLAGS) \
$(CIMG_DEBUG_CFLAGS) \
$(CIMG_VT100_CFLAGS) \
$(CIMG_X11_CFLAGS) \
$(CIMG_XSHM_CFLAGS)" \
"CONF_LDFLAGS = \
$(CIMG_X11_LDFLAGS) \
$(CIMG_XSHM_LDFLAGS)" \
all

olinux:
	@$(MAKE) \
"CONF_CFLAGS = \
$(CIMG_ANSI_CFLAGS) \
$(CIMG_OPT_CFLAGS) \
$(CIMG_VT100_CFLAGS) \
$(CIMG_X11_CFLAGS) \
$(CIMG_XSHM_CFLAGS)" \
"CONF_LDFLAGS = \
$(CIMG_X11_LDFLAGS) \
$(CIMG_XSHM_LDFLAGS)" \
"STRIP_EXE=true" \
all

mlinux:
	@$(MAKE) \
"CONF_CFLAGS = \
$(CIMG_ANSI_CFLAGS) \
$(CIMG_NODISPLAY_CFLAGS) \
$(CIMG_OPT_CFLAGS)" \
"STRIP_EXE=true" \
all

Mlinux:
	@$(MAKE) \
"CONF_CFLAGS = \
$(CIMG_OPT_CFLAGS) \
$(CIMG_VT100_CFLAGS) \
$(CIMG_X11_CFLAGS) \
$(CIMG_XSHM_CFLAGS) \
$(CIMG_XRANDR_CFLAGS) \
$(CIMG_TIFF_CFLAGS) \
$(CIMG_MINC2_CFLAGS) \
$(CIMG_EXR_CFLAGS) \
$(CIMG_PNG_CFLAGS) \
$(CIMG_JPEG_CFLAGS) \
$(CIMG_ZLIB_CFLAGS) \
$(CIMG_OPENCV_CFLAGS) \
$(CIMG_MAGICK_CFLAGS) \
$(CIMG_FFTW3_CFLAGS)" \
"CONF_LDFLAGS = \
$(CIMG_X11_LDFLAGS) \
$(CIMG_XSHM_LDFLAGS) \
$(CIMG_XRANDR_LDFLAGS) \
$(CIMG_TIFF_LDFLAGS) \
$(CIMG_MINC2_LDFLAGS) \
$(CIMG_EXR_LDFLAGS) \
$(CIMG_PNG_LDFLAGS) \
$(CIMG_JPEG_LDFLAGS) \
$(CIMG_ZLIB_LDFLAGS) \

=== debian/changelog ===
cimg (1.5.6-1) unstable; urgency=low

  * New upstream version (adapted patches)
    debian/patches/30_fix-opencv-ftbfs.patch disabled because applied upstream
  * debian/patches/30_do_not_build_minc2_examples.patch: Examples will
    file when trying to use minc file format so exclude these from build
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - Fixed VCS fields
     - cme fix dpkg-control
     - Moved libcv-dev from Suggests to Depends
     - Build-Depends: libopencv-core-dev, libopencv-highgui-dev to enable
       compiling examples
  * debian/rules:
     - use xz compression for repackaging
     - build examples in dh_auto_test rather than dh_auto_install because
       it is actually only a test whether everything compiles nicely
     - Do not try to install upstream changelog which is not contained in
       upstream source any more

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jul 2013 00:15:19 +0200

=== debian/control ===
Source: cimg
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Christophe Prud'homme <prudhomm@debian.org>,
           Andreas Tille <tille@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: doxygen,
                     libx11-dev,
                     libxrandr-dev,
                     libmagick++-dev,
                     libfftw3-dev | fftw3-dev,
                     libgimp2.0-dev,
                     libcv-dev,
                     libhighgui-dev,
                     libminc-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
Homepage: http://cimg.sourceforge.net/

Package: cimg-dev
Architecture: all
Depends: libx11-dev,
         libxrandr-dev,
         libcv-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: xmedcon,
          lapack3-dev,
          cimg-doc,
          cimg-examples,
          libmagick++-dev,
          libfftw3-dev | fftw3-dev,
          libgimp2.0-dev,
          libhighgui-dev
Description: powerful image processing library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.

Package: cimg-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: cimg-dev
Description: documentation of cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains the documentation.

Package: cimg-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: cimg-dev,
            libmagick++-dev,
            libfftw3-dev | fftw3-dev,
            libgimp2.0-dev,
            libcv-dev,
            libhighgui-dev
Enhances: cimg-dev,
          cimg-doc
Description: examples for cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains examples for the usage of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules for cimg-dev package
# GNU copyright 2009 Andreas Tille <tille@debian.org>

pkg=cimg-dev
examples=cimg-examples

%:
	dh $@

override_dh_compress:
	dh_compress --exclude=.shtml \
	            --exclude=.pdf \
	            --exclude=.h \
	            --exclude=.cpp \
	            --exclude=.bmp \
	            --exclude=.pgm \
	            --exclude=.ppm \
	            --exclude=Makefile \
	            --exclude=.raw \
	            --exclude=.gmic

# override_dh_installchangelogs:
	# dh_installchangelogs --exclude=CHANGES.txt
	# mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
	# cp -a CHANGES.txt $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/changelog

override_dh_auto_test:
	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
	# After test build of examples remove remaining object files
	cd examples && $(MAKE) clean

CHANGEFILES=gaussian_fit1d.cpp \
            use_RGBclass.cpp

override_dh_install:
	dh_install
	# In gaussian_fit1d.cpp the files is included into itself and thus the current directory needs to be in include path
	cd debian/$(examples)/usr/share/doc/$(pkg)/examples; \
	    sed -i 's?\(CFLAGS[[:space:]=]*-I\)\.\. -Wall -W?\1`pwd` -Wall -W?' Makefile; \
	    for file in $(CHANGEFILES) ; do \
		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
	    done

override_dh_auto_clean:
	-cd examples && $(MAKE) clean
	dh_clean 

get-orig-source:
	uscan --verbose --rename --repack --force-download --repack-compression xz

## cimg 1.5.7%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)

## cimg 1.5.7+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -78,12 +78,12 @@
 	     use_RGBclass \
 
 # Files which requires external libraries to run.
-CIMG_EXTRA_FILES = use_jpeg_buffer
+CIMG_EXTRA_FILES = use_tiff_stream use_jpeg_buffer
 
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.6
+CIMG_VERSION = 1.5.7
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
@@ -206,10 +206,10 @@
 # Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
 # ( http://www.fftw.org/ )
 CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
-ifeq ($(MSYSTEM),MINGW32)
+ifeq ($(OSTYPE),msys)
 CIMG_FFTW3_LDFLAGS = -lfftw3-3
 else
-CIMG_FFTW3_LDFLAGS = -lfftw3
+CIMG_FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads
 endif
 
 # Flags to enable the use of LAPACK routines for matrix computation
@@ -286,6 +286,21 @@
 	rm -f $(EXEPFX)*
 endif
 
+# Custom user-defined target
+custom:
+	@$(MAKE) \
+"CONF_CFLAGS = \
+$(CIMG_ANSI_CFLAGS) \
+$(CIMG_VT100_CFLAGS) \
+$(CIMG_TIFF_CFLAGS) \
+$(CIMG_X11_CFLAGS) \
+$(CIMG_XSHM_CFLAGS)" \
+"CONF_LDFLAGS = \
+$(CIMG_X11_LDFLAGS) \
+$(CIMG_TIFF_LDFLAGS) \
+$(CIMG_XSHM_LDFLAGS)" \
+all $(CIMG_EXTRA_FILES)
+
 # Linux/BSD/Mac OSX targets, with X11 display.
 linux:
 	@$(MAKE) \
@@ -348,17 +363,3 @@
 $(CIMG_EXR_CFLAGS) \
 $(CIMG_PNG_CFLAGS) \
 $(CIMG_JPEG_CFLAGS) \
-$(CIMG_ZLIB_CFLAGS) \
-$(CIMG_OPENCV_CFLAGS) \
-$(CIMG_MAGICK_CFLAGS) \
-$(CIMG_FFTW3_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS) \
-$(CIMG_XRANDR_LDFLAGS) \
-$(CIMG_TIFF_LDFLAGS) \
-$(CIMG_MINC2_LDFLAGS) \
-$(CIMG_EXR_LDFLAGS) \
-$(CIMG_PNG_LDFLAGS) \
-$(CIMG_JPEG_LDFLAGS) \
-$(CIMG_ZLIB_LDFLAGS) \

=== debian/changelog ===
cimg (1.5.7+dfsg-1) unstable; urgency=low

  * debian/copyright: Exclude non-free image file
    Closes: #735342
  * debian/control:
     - cme fix dpkg-control
     - remove inactive Uploaders
     - Build-Depends: libtiffxx5
     - Suggests: libtiff5-dev, libtiffxx5
  * debian/cimg-doc.doc-base:  Readd PDF documentation
  * debian/watch: mangle Debian version
  * debian/patches/20_include_ltiffxx.patch: examples also need -ltiffxx
  * debian/rules: remove code violating user privacy

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2014 14:03:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 pkg=cimg-dev
 examples=cimg-examples
+doc=cimg-doc
 
 %:
 	dh $@
@@ -21,10 +22,9 @@
 	            --exclude=.raw \
 	            --exclude=.gmic
 
-# override_dh_installchangelogs:
-	# dh_installchangelogs --exclude=CHANGES.txt
-	# mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
-	# cp -a CHANGES.txt $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/changelog
+override_dh_installdocs:
+	dh_installdocs
+	find debian/cimg-doc -type f -name "*.html" -exec debian/remove_privacy_violating_js_code \{\} \;
 
 override_dh_auto_test:
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"

## cimg 1.5.9%2Bdfsg

=== debian/changelog ===
cimg (1.5.9+dfsg-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2019-1010174
    Loading a special crafted image can lead to command injection, as
    no string sanitization is done on the url.
  * CVE-2018-7588, CVE-2018-7637, CVE-2018-7638,
    CVE-2018-7639, CVE-2018-7640, CVE-2018-7641
    A crafted bmp image can lead to a heap-based buffer over-read in load_bmp().
    They are different CVEs as each occurs in different image types.
  * CVE-2018-7589
    A cafted bmp image can lead to a double free in load_bmp().
 
 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Sep 2019 19:03:02 +0200

cimg (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * d/rules: adapt uscan syntax
  * d/watch: enable uscan to use correct version
  * d/patches/use_pkg-config.patch: Newer imagemagick version does not supply
    Magick++-config command any more but pkg-config can be used instead
    (thanks for the hint to Bastien ROUCARIES)
    Closes: #761564
  * d/copyright: change sequence of Files paragraphs to fit DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 17:16:57 +0200

## cimg 1.5.9+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -74,6 +74,7 @@
 	     use_chlpca \
 	     use_draw_gradient \
 	     use_nlmeans \
+             use_patchmatch \
 	     use_skeleton \
 	     use_RGBclass \
 
@@ -83,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.7
+CIMG_VERSION = 1.5.9
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
@@ -94,8 +95,8 @@
 ifeq ($(CC),clang++)
 CCVER        = `$(CC) -v 2>&1 | head -n 1`
 endif
-ifeq ($(CC),icc)
-CCVER        = "icc \( `$(CC) -v 2>&1`\)"
+ifeq ($(CC),icpc)
+CCVER        = "icpc \( `$(CC) -v 2>&1`\)"
 CFLAGS       = -I..
 LDFLAGS      =
 else
@@ -108,7 +109,7 @@
 #--------------------------------------------------
 
 # Flags to enable strict code standards
-ifeq ($(CC),icc)
+ifeq ($(CC),icpc)
 CIMG_ANSI_CFLAGS = -ansi
 else
 CIMG_ANSI_CFLAGS = -ansi -pedantic
@@ -122,22 +123,27 @@
 CIMG_VT100_CFLAGS = -Dcimg_use_vt100
 
 # Flags to enable code optimization by the compiler.
-ifeq ($(CC),icc)
+ifeq ($(CC),icpc)
 CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
 else
+ifeq ($(CC),g++)
 CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
+else
+CIMG_OPT_CFLAGS = -O3
+endif
 endif
 
 # Flags to enable OpenMP support.
-ifeq ($(CC),icc)
-CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -openmp -i-static
+ifeq ($(CC),icpc)
+CIMG_OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
 else
 CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
 endif
 
 # Flags to enable OpenCV support.
 CIMG_OPENCV_CFLAGS = -Dcimg_use_opencv -I/usr/include/opencv
-CIMG_OPENCV_LDFLAGS = -lcv -lhighgui
+CIMG_OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui
+#CIMG_OPENCV_LDFLAGS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
 
 # Flags used to disable display capablities of CImg
 CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0
@@ -332,6 +338,7 @@
 "CONF_CFLAGS = \
 $(CIMG_ANSI_CFLAGS) \
 $(CIMG_OPT_CFLAGS) \
+$(CIMG_OPENMP_CFLAGS) \
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
@@ -352,14 +359,3 @@
 
 Mlinux:
 	@$(MAKE) \
-"CONF_CFLAGS = \
-$(CIMG_OPT_CFLAGS) \
-$(CIMG_VT100_CFLAGS) \
-$(CIMG_X11_CFLAGS) \
-$(CIMG_XSHM_CFLAGS) \
-$(CIMG_XRANDR_CFLAGS) \
-$(CIMG_TIFF_CFLAGS) \
-$(CIMG_MINC2_CFLAGS) \
-$(CIMG_EXR_CFLAGS) \
-$(CIMG_PNG_CFLAGS) \
-$(CIMG_JPEG_CFLAGS) \

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: cimg
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
-           Christophe Prud'homme <prudhomm@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9)
@@ -14,8 +12,10 @@
                      libgimp2.0-dev,
                      libcv-dev,
                      libhighgui-dev,
-                     libminc-dev
-Standards-Version: 3.9.4
+                     libminc-dev,
+                     libtiff5-dev,
+                     libtiffxx5
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
 Homepage: http://cimg.sourceforge.net/
@@ -34,7 +34,9 @@
           libmagick++-dev,
           libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
-          libhighgui-dev
+          libhighgui-dev,
+          libtiff5-dev,
+          libtiffxx5
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists
@@ -97,4 +99,3 @@
  complex dependencies.
  .
  This package contains examples for the usage of the library.
-

=== debian/rules ===
--- 
+++ 
@@ -48,4 +48,4 @@
 	dh_clean 
 
 get-orig-source:
-	uscan --verbose --rename --repack --force-download --repack-compression xz
+	uscan --verbose --repack --force-download --compression xz

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)

## cimg 1.6.4+dfsg

=== debian/changelog ===
cimg (1.6.4+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libcming.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Sep 2015 06:32:05 +0200

cimg (1.6.4+dfsg-1) unstable; urgency=medium

  * adapted d/watch to new upstream location at Github
  * Remove non-free example file via Files-Excluded
    Closes: #791399
  * cme fix dpkg-control
  * Add needed Build-Depends from libcurl
  * Recreate docs with doxygen

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2015 21:19:38 +0200

## cimg 1.6.5%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,16 @@
 CHANGEFILES=gaussian_fit1d.cpp \
             use_RGBclass.cpp
 
+override_dh_clean:
+	dh_clean
+	rm -rf html/latex html/reference html/doxygen_sqlite3.db
+
+override_dh_auto_build:
+	dh_auto_build
+	cd html && doxygen CImg.doxygen && cd latex && make || true
+	# autogenerated makefile lacks a final pdflatex call to get references right (that's why the above '|| true')
+	cd html/latex && pdflatex refman
+
 override_dh_install:
 	dh_install
 	# In gaussian_fit1d.cpp the files is included into itself and thus the current directory needs to be in include path
@@ -42,6 +52,7 @@
 	    for file in $(CHANGEFILES) ; do \
 		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
 	    done
+	mv html/reference/* debian/$(doc)/usr/share/doc/cimg-dev/html
 
 override_dh_auto_clean:
 	-cd examples && $(MAKE) clean

## cimg 1.6.5+dfsg

=== examples/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 #  Description : Makefile for compiling CImg-based code on Unix.
 #                This file is a part of the CImg Library project.
-#                ( http://cimg.sourceforge.net )
+#                ( http://cimg.eu )
 #
 #  Copyright   : David Tschumperle
 #                ( http://tschumperle.users.greyc.fr/ )
@@ -84,24 +84,24 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.5.9
+CIMG_VERSION = _cimg_version
 X11PATH      = /usr/X11R6
 CC           = g++
 EXEPFX       =
 CCVER       = $(CC)
-ifeq ($(CC),g++)
+ifeq ($(notdir $(CC)),g++)
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
 endif
-ifeq ($(CC),clang++)
+ifeq ($(notdir $(CC)),clang++)
 CCVER        = `$(CC) -v 2>&1 | head -n 1`
 endif
-ifeq ($(CC),icpc)
+ifeq ($(notdir $(CC)),icpc)
 CCVER        = "icpc \( `$(CC) -v 2>&1`\)"
 CFLAGS       = -I..
-LDFLAGS      =
+LIBS         =
 else
 CFLAGS       = -I.. -Wall -W
-LDFLAGS      = -lm
+LIBS         = -lm
 endif
 
 #--------------------------------------------------
@@ -109,32 +109,32 @@
 #--------------------------------------------------
 
 # Flags to enable strict code standards
-ifeq ($(CC),icpc)
-CIMG_ANSI_CFLAGS = -ansi
-else
-CIMG_ANSI_CFLAGS = -ansi -pedantic
+ifeq ($(notdir $(CC)),icpc)
+CIMG_ANSI_CFLAGS = -std=c++11 -ansi
+else
+CIMG_ANSI_CFLAGS = -std=c++11 -ansi -pedantic
 endif
 
 # Flags to enable code debugging.
-CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g
+CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g -fsanitize=address
 
 # Flags to enable color output messages.
 # (requires a VT100 compatible terminal)
 CIMG_VT100_CFLAGS = -Dcimg_use_vt100
 
 # Flags to enable code optimization by the compiler.
-ifeq ($(CC),icpc)
-CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
-else
-ifeq ($(CC),g++)
-CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
-else
-CIMG_OPT_CFLAGS = -O3
+ifeq ($(notdir $(CC)),g++)
+CIMG_OPT_CFLAGS = -O2 -mtune=generic
+else
+ifeq ($(notdir $(CC)),icpc)
+CIMG_OPT_CFLAGS = -fast
+else
+CIMG_OPT_CFLAGS = -O2
 endif
 endif
 
 # Flags to enable OpenMP support.
-ifeq ($(CC),icpc)
+ifeq ($(notdir $(CC)),icpc)
 CIMG_OPENMP_CFLAGS = #-Dcimg_use_openmp -openmp -i-static    # -> Seems to bug the compiler!
 else
 CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
@@ -142,8 +142,8 @@
 
 # Flags to enable OpenCV support.
 CIMG_OPENCV_CFLAGS = -Dcimg_use_opencv -I/usr/include/opencv
-CIMG_OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui
-#CIMG_OPENCV_LDFLAGS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
+CIMG_OPENCV_LIBS = -lopencv_core -lopencv_highgui
+#CIMG_OPENCV_LIBS = -lcv -lhighgui    #-> Use this for OpenCV < 2.2.0
 
 # Flags used to disable display capablities of CImg
 CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0
@@ -152,84 +152,89 @@
 # (X11 is used by CImg to handle display windows)
 # !!! For 64bits systems : replace -L$(X11PATH)/lib by -L$(X11PATH)/lib64 !!!
 CIMG_X11_CFLAGS = -I$(X11PATH)/include
-CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11
+CIMG_X11_LIBS = -L$(X11PATH)/lib -lpthread -lX11
 
 # Flags to enable fast image display, using the XSHM library (when using X11).
 # !!! Seems to randomly crash when used on MacOSX and 64bits systems, so use it only when necessary !!!
 CIMG_XSHM_CFLAGS = # -Dcimg_use_xshm
-CIMG_XSHM_LDFLAGS = # -lXext
+CIMG_XSHM_LIBS = # -lXext
 
 # Flags to enable GDI32 display (Windows native).
 CIMG_GDI32_CFLAGS = -mwindows
-CIMG_GDI32_LDFLAGS = -lgdi32
+CIMG_GDI32_LIBS = -lgdi32
 
 # Flags to enable screen mode switching, using the XRandr library (when using X11).
 # ( http://www.x.org/wiki/Projects/XRandR )
 # !!! Not supported by the X11 server on MacOSX, so do not use it on MacOSX !!!
 CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
-CIMG_XRANDR_LDFLAGS = -lXrandr
+CIMG_XRANDR_LIBS = -lXrandr
 
 # Flags to enable native support for PNG image files, using the PNG library.
 # ( http://www.libpng.org/ )
 CIMG_PNG_CFLAGS = -Dcimg_use_png
-CIMG_PNG_LDFLAGS = -lpng -lz
+CIMG_PNG_LIBS = -lpng -lz
 
 # Flags to enable native support for JPEG image files, using the JPEG library.
 # ( http://www.ijg.org/ )
 CIMG_JPEG_CFLAGS = -Dcimg_use_jpeg
-CIMG_JPEG_LDFLAGS = -ljpeg
+CIMG_JPEG_LIBS = -ljpeg
 
 # Flags to enable native support for TIFF image files, using the TIFF library.
 # ( http://www.libtiff.org/ )
 CIMG_TIFF_CFLAGS = -Dcimg_use_tiff
-CIMG_TIFF_LDFLAGS = -ltiff
+CIMG_TIFF_LIBS = -ltiff
 
 # Flags to enable native support for MINC2 image files, using the MINC2 library.
 # ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
 CIMG_MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
-CIMG_MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
+CIMG_MINC2_LIBS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
 
 # Flags to enable native support for EXR image files, using the OpenEXR library.
 # ( http://www.openexr.com/ )
 CIMG_EXR_CFLAGS = -Dcimg_use_openexr -I/usr/include/OpenEXR
-CIMG_EXR_LDFLAGS = -lIlmImf -lHalf
+CIMG_EXR_LIBS = -lIlmImf -lHalf
 
 # Flags to enable native support for various video files, using the FFMPEG library.
 # ( http://www.ffmpeg.org/ )
 CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale -I/usr/include/ffmpeg
-CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
+CIMG_FFMPEG_LIBS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
 # ( http://www.zlib.net/ )
 CIMG_ZLIB_CFLAGS = -Dcimg_use_zlib
-CIMG_ZLIB_LDFLAGS = -lz
+CIMG_ZLIB_LIBS = -lz
+
+# Flags to enable native support for downloading files from the network.
+# ( http://curl.haxx.se/libcurl/ )
+CIMG_CURL_CFLAGS = -Dcimg_use_curl
+CIMG_CURL_LIBS = -lcurl
 
 # Flags to enable native support of most classical image file formats, using the Magick++ library.
 # ( http://www.imagemagick.org/Magick++/ )
 CIMG_MAGICK_CFLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags`
-CIMG_MAGICK_LDFLAGS = `Magick++-config --ldflags` `Magick++-config --libs`
+CIMG_MAGICK_LIBS = `Magick++-config --ldflags` `Magick++-config --libs`
 
 # Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
 # ( http://www.fftw.org/ )
 CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
 ifeq ($(OSTYPE),msys)
-CIMG_FFTW3_LDFLAGS = -lfftw3-3
-else
-CIMG_FFTW3_LDFLAGS = -lfftw3 -lfftw3_threads
+CIMG_FFTW3_LIBS = -lfftw3-3
+else
+CIMG_FFTW3_LIBS = -lfftw3 -lfftw3_threads
 endif
 
 # Flags to enable the use of LAPACK routines for matrix computation
 # ( http://www.netlib.org/lapack/ )
 CIMG_LAPACK_CFLAGS = -Dcimg_use_lapack
-CIMG_LAPACK_LDFLAGS = -lblas -lg2c -llapack
+CIMG_LAPACK_LIBS = -lblas -lg2c -llapack
 
 # Flags to enable the use of the Board library
 # ( http://libboard.sourceforge.net/ )
 CIMG_BOARD_CFLAGS = -Dcimg_use_board -I/usr/include/board
-CIMG_BOARD_LDFLAGS = -lboard
+CIMG_BOARD_LIBS = -lboard
 
 # Flags to compile on Sun Solaris
-CIMG_SOLARIS_LDFLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket
+CIMG_SOLARIS_LIBS = -R$(X11PATH)/lib -lrt -lnsl -lsocket
 
 # Flags to compile GIMP plug-ins.
 ifeq ($(MSYSTEM),MINGW32)
@@ -243,7 +248,7 @@
 	@echo
 	@echo "** Compiling '$* ($(CIMG_VERSION))' with '$(CCVER)'"
 	@echo
-	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(CONF_CFLAGS) $(LDFLAGS) $(CONF_LDFLAGS)
+	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(CONF_CFLAGS) $(LIBS) $(CONF_LIBS)
 ifeq ($(STRIP_EXE),true)
 ifeq ($(MSYSTEM),MINGW32)
 	strip $(EXEPFX)$*.exe
@@ -301,10 +306,10 @@
 $(CIMG_TIFF_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_TIFF_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_TIFF_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all $(CIMG_EXTRA_FILES)
 
 # Linux/BSD/Mac OSX targets, with X11 display.
@@ -315,9 +320,9 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all
 
 dlinux:
@@ -328,9 +333,9 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 all
 
 olinux:
@@ -342,20 +347,10 @@
 $(CIMG_VT100_CFLAGS) \
 $(CIMG_X11_CFLAGS) \
 $(CIMG_XSHM_CFLAGS)" \
-"CONF_LDFLAGS = \
-$(CIMG_X11_LDFLAGS) \
-$(CIMG_XSHM_LDFLAGS)" \
+"CONF_LIBS = \
+$(CIMG_X11_LIBS) \
+$(CIMG_XSHM_LIBS)" \
 "STRIP_EXE=true" \
 all
 
 mlinux:
-	@$(MAKE) \
-"CONF_CFLAGS = \
-$(CIMG_ANSI_CFLAGS) \
-$(CIMG_NODISPLAY_CFLAGS) \
-$(CIMG_OPT_CFLAGS)" \
-"STRIP_EXE=true" \
-all
-
-Mlinux:
-	@$(MAKE) \

=== debian/changelog ===
cimg (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 18:23:26 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,11 @@
                      libhighgui-dev,
                      libminc-dev,
                      libtiff5-dev,
-                     libtiffxx5
-Standards-Version: 3.9.5
+                     libtiffxx5,
+                     libcurl4-gnutls-dev | libcurl4-dev,
+                     texlive-latex-extra,
+                     texlive-fonts-recommended
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
 Homepage: http://cimg.sourceforge.net/
@@ -54,7 +57,8 @@
 Package: cimg-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         libjs-jquery
 Enhances: cimg-dev
 Description: documentation of cimg-dev imaging library
  The CImg Library is a C++ toolkit providing simple classes and functions

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/dtschump/CImg/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## cimg 1.7.8+dfsg

=== debian/changelog ===
cimg (1.7.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapt watch file to new tagging scheme
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Use libgraphicsmagick++1-dev as main (Build-)Depends and leave
    libmagick++-dev only as alternative since examples are relying
    on graphicsmagick
  * update Build-Depends to libopencv-dev (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841263
  * Fix build with Opencv 3.1 (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841264
  * Versioned Build-Depends: doxygen >= 1.8.12
    Closes: #819606

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 14:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,22 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: doxygen,
+Build-Depends-Indep: doxygen (>= 1.8.12),
                      libx11-dev,
                      libxrandr-dev,
-                     libmagick++-dev,
+                     libgraphicsmagick++1-dev | libmagick++-dev,
                      libfftw3-dev | fftw3-dev,
                      libgimp2.0-dev,
-                     libcv-dev,
-                     libhighgui-dev,
+                     libopencv-dev,
                      libminc-dev,
                      libtiff5-dev,
                      libtiffxx5,
                      libcurl4-gnutls-dev | libcurl4-dev,
                      texlive-latex-extra,
                      texlive-fonts-recommended
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/cimg/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/cimg/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cimg.git/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cimg.git
 Homepage: http://cimg.sourceforge.net/
 
 Package: cimg-dev
@@ -34,7 +33,7 @@
           lapack3-dev,
           cimg-doc,
           cimg-examples,
-          libmagick++-dev,
+          libgraphicsmagick++1-dev | libmagick++-dev,
           libfftw3-dev | fftw3-dev,
           libgimp2.0-dev,
           libhighgui-dev,
@@ -81,7 +80,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Recommends: cimg-dev,
-            libmagick++-dev,
+            libgraphicsmagick++1-dev | libmagick++-dev,
             libfftw3-dev | fftw3-dev,
             libgimp2.0-dev,
             libcv-dev,

=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d)(\d)(\d)$/$1.$2.$3/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/dtschump/CImg/releases .*/archive/v\.*(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## cimg 1.7.9%2Bdfsg

=== debian/changelog ===
cimg (1.7.9+dfsg-2ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Read
    - debian/patches/CVE-2018-7637-7638-7639-7640-7641.patch: Fix other issues
      in 'CImg<T>::load_bmp()'.
    - CVE-2018-7637
    - CVE-2018-7638
    - CVE-2018-7639
    - CVE-2018-7640
    - CVE-2018-7641
  * SECURITY UPDATE: Command Injection
    - debian/patches/CVE-2019-13568.patch: Fix buffer assigning.
    - debian/patches/CVE-2019-1010174.patch: Add string sanitization.
    - CVE-2019-13568
    - CVE-2019-1010174
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/0001-Fix-multiple-heap-buffer-overflows.patch: Fix
      multiple heap buffer overflows.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 07 Oct 2021 19:11:30 +0000

cimg (1.7.9+dfsg-2ubuntu0.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: a double free in load_bmp in CImg.h can occur when
    loading a crafted bmp image
    - debian/patches/CVE-2018-7589_7588_7587.patch: add additional checks
      for malformed input in load_bmp()
    - CVE-2018-7589
    - CVE-2018-7588
    - CVE-2018-7587 

 -- Daniel Wang <daniel.wang@canonical.com>  Tue, 18 Jun 2019 12:21:31 -0700

cimg (1.7.9+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:25:23 +0100

cimg (1.7.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Mark cimg-doc and cimg-examples as Multi-Arch:foreign (from the m-a hinter).
  * Depend on libopencv-dev instead of libcv-dev, which is going away.
    Thanks to Steve Langasek for reporting and fixing it in Ubuntu.
    Closes: #865831

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 25 Jun 2017 12:45:10 +0200

cimg (1.7.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 19:45:02 +0100
